/*********************************************************************************************************************
 *
 *		Azoteq IQS525-TP43-HID-Ev-Kit
 *
 *              HW.c
 *              PIC hardware setup
 *
********************************************************************************************************************/

/*********************************************************************************************************************
*   Include section
********************************************************************************************************************/
#include "includes.h"                                                           // main include file

/*********************************************************************************************************************
*   Code section
********************************************************************************************************************/

/****************************************************************************************************************************
 *  void initialisePic(void):
 *  Initialises MCU, the trackpad and the USB
 ****************************************************************************************************************************/
void initialisePic(void)
{
        // initialise the ports
        ADCON1 = 0x0F;							// PORTA all digital operation
	LATA = 0x02;                                                    // Set ready high
	TRISA = 0x02;							// RA1 (RDY) input.
	TRISD = 0x00; 							// Configure PORTD for output (LEDS)
        LATD = 0x0F;							// LEDS off
	LATB = 0xFF;                                                    // Set initial state of SDA and SCL high
	TRISB = 0x03;							// SDA and SCL inputs
	LATD = 0x0F;							// LEDS off

        // initialise I2c
        LATD = 0x01;
        Comms_init();

        // initialise the IQS device
        identify_and_setup_IQS();

        LATD = 0x03;
        
        // intialise the usb stack
        USBDeviceInit();                                        	// usb_device.c.  Initializes USB module SFRs and firmware                                                 // usb_device.c.  Initializes USB module SFRs and firmware
                                                                       // Set variables to known states.
}


