/*********************************************************************************************************************
 *
 *		Azoteq IQS525-TP43-HID-Ev-Kit
 *
 *              HardwareProfile.h -   Hardware profile - define features unique to the specific PIC
 *
********************************************************************************************************************/


#ifndef HARDWAREPROFILE_H
#define HARDWAREPROFILE_H

#define SW_VERSION_MSB                  0x00
#define SW_VERSION_LSB                  0x01
#define BUILD_NR			0x01
#define ALPHA_BETA			0x0A

#define USB_PACKET_LENGTH 		0x23		//35 bytes per USB packet - 3 byte preamble, 32 byte payload
#define MAX_STREAMING_LENGTH 	0x70			//112 bytes streaming supported for now

#define RETURN_OK 			0x00
#define ERR_TIMEOUT			0x03


// USB stack hardware selection options ----------------------------------------------------------------

// Uncomment the following line to make the output HEX of this project work with the MCHPUSB Bootloader    
//#define PROGRAMMABLE_WITH_USB_MCHPUSB_BOOTLOADER

// Uncomment the following line to make the output HEX of this project work with the HID Bootloader
#define PROGRAMMABLE_WITH_USB_HID_BOOTLOADER		


// Application specific hardware definitions ------------------------------------------------------------

// Oscillator frequency (48Mhz with a 20Mhz external oscillator)
#define CLOCK_FREQ 48000000

// Device Vendor Indentifier (VID) (0x2150 is Azoteq's VID)
#define USB_VID	0x2150

// Device Product Indentifier (PID) 
#define USB_PID	0x0406

// Manufacturer string descriptor
#define MSDLENGTH	16
#define MSD		'A','z','o','t','e','q',' ','(','P','t','y',')',' ','L','t','d'

// Product String descriptor
#define PSDLENGTH	10
#define PSD		'A','z','o','t','e','q',' ','H','I','D'

// Device serial number string descriptor
#define DSNLENGTH	7
#define DSN		'A','Z','Q','_','0','.','0'

// Common useful definitions
#define INPUT_PIN 1
#define OUTPUT_PIN 0
#define FLAG_FALSE 0
#define FLAG_TRUE 1


#define self_power     0

#endif