
/*********************************************************************************************************************
 *
 *		Azoteq IQS525-TP43-HID-Ev-Kit
 *
 *              main.c
 *
********************************************************************************************************************/

/*********************************************************************************************************************
*   Include section
********************************************************************************************************************/
#include "includes.h"                                                           // main include file

/*********************************************************************************************************************
*   Pragma section
*   Configuration for PIC18F4550
********************************************************************************************************************/
#pragma config PLLDIV   = 2                                                     // 2 for 8MHz crystal, 5 for 20MHz crystal
#pragma config CPUDIV   = OSC1_PLL2                                             // 48MHz clock cycle --- 4 cycles per instruction --> 12 mips
#pragma config USBDIV   = 2                                                     // Clock source from 96MHz PLL/2
#pragma config FOSC     = HSPLL_HS
#pragma config FCMEN    = OFF
#pragma config IESO     = OFF
#pragma config PWRT     = OFF
#pragma config BOR      = ON
#pragma config BORV     = 3
#pragma config WDT      = OFF
#pragma config WDTPS    = 32768
#pragma config MCLRE    = ON
#pragma config LPT1OSC  = OFF
#pragma config PBADEN   = OFF
#pragma config STVREN   = ON
#pragma config LVP      = OFF		
#pragma config XINST    = OFF
#pragma config CP0      = OFF
#pragma config CP1      = OFF
#pragma config CPB      = OFF
#pragma config WRT0     = OFF
#pragma config WRT1     = OFF
#pragma config WRTB     = OFF
#pragma config WRTC     = OFF
#pragma config EBTR0    = OFF
#pragma config EBTR1    = OFF
#pragma config EBTRB    = OFF
/*********************************************************************************************************************
*   Code section
********************************************************************************************************************/

/****************************************************************************************************************************
 *  void main (void):
 *  Main execution loop
 ****************************************************************************************************************************/
void main(void)
{
   // Initialise the hardware setup of the MCU
   initialisePic();
  
   // Connect the usb device
    #if defined(USB_INTERRUPT)
       USBDeviceAttach();
    #endif

   // Main loop
   while(1)
   {
       // LATCbits.LATC0  = 1;
        #if defined(USB_POLLING)
                                                                                // Check bus status and service USB interrupts.
        USBDeviceTasks();                                                       // Interrupt or polling method.  If using polling, must call
                                                                                // this function periodically.  This function will take care
                                                                                // of processing and responding to SETUP transactions
                                                                                // (such as during the enumeration process when you first
                                                                                // plug in).  USB hosts require that USB devices should accept
                                                                                // and process SETUP packets in a timely fashion.  Therefore,
                                                                                // when using polling, this function should be called
                                                                                // regularly (such as once every 1.8ms or faster** [see
                                                                                // inline code comments in usb_device.c for explanation when
                                                                                // "or faster" applies])  In most cases, the USBDeviceTasks()
                                                                                // function does not take very long to execute (ex: <100
                                                                                // instruction cycles) before it returns.
        #endif

        // Read touchpad data, analyse data and send response to PC
        processIO();
     
        // set indicator LEDS to indicate a successful startup
        LATD = 0x05;
    }
 }

